\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ShortCurri} [2010/11/11 v0.1 Classe ShortCurri]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\PassOptionsToClass{10pt,a4paper}{article}
\LoadClass{article}
%
% Sizes
%
\setlength{\hoffset}{-1in}
\setlength{\voffset}{-12mm}
\setlength{\textheight}{220mm}
\setlength{\textwidth}{155mm}
\setlength{\parskip}{0.6ex plus 1pt minus 1pt}
\setlength{\parindent}{0pt}
%
\setlength\oddsidemargin {\paperwidth}
\addtolength\oddsidemargin{-\textwidth}
\divide\oddsidemargin by 2
\addtolength\oddsidemargin{-1in}
\addtolength\oddsidemargin{-\hoffset}
%
\setlength\evensidemargin{\oddsidemargin}
%
% Packages and utilities
%
\RequirePackage[utf8x]{inputenc}
\RequirePackage{multicol}
\RequirePackage{enumerate}
\RequirePackage{url}
\renewcommand{\rmdefault}{phv} % Arial
\renewcommand{\sfdefault}{phv} % Arial

\RequirePackage{color}
\def\GrayLevel{0.6}
\definecolor{LGray}{rgb}{\GrayLevel,\GrayLevel,\GrayLevel}
%
% Modifications of the class
%
\title{Short Curriculum Vit\ae}
\def\address#1{\gdef\@address{#1}}
\def\email#1{\gdef\@email{\url{#1}}}
\def\homepage#1{\gdef\@homepage{\url{#1}}}
\def\birth#1{\gdef\@birth{#1}}
\def\national#1{\gdef\@national{#1}}
%
\AtBeginDocument{\textcolor{LGray}{
\@date\\
\strut\hfill\Huge \@title\\[3ex]
\@author}\\[-1ex]
\begingroup
\advance \linewidth by \oddsidemargin
\makebox[\textwidth][c]{\rule{\linewidth}{0.2pt}}
\endgroup
\par\par\smallskip\par\par
\parbox{\linewidth}{\raggedleft
\@address\\
\textbf{E-mail:} \@email\\
\textbf{Homepage:} \@homepage
\par\par\bigskip\par\par
\textbf{Date and place of birth:} \@birth\\
\textbf{Citizenship:} \@national}
}
%
\renewcommand{\section}[1]{\par\par\bigskip\par\par
  \textcolor{LGray}{\sc\textbf{#1}}
   \par\par\vspace*{-2ex}\par\par
   \rule{\linewidth}{0.2pt}\par\par
}
%
\def\@oddhead{\normalfont\textcolor{LGray}{\@title\ of \@author\hfil\@date}}
\def\@evenhead{\@oddhead}
%
% List commands
%
\let\@dummylist\list
\def\list#1#2{\@dummylist{#1}{#2\itemsep=2pt\parsep=0pt\topsep=3pt plus 1pt minus 1 pt\itemindent=0pt}}
\def\bulletlist{%
   \list{}{\def\makelabel{\textbullet}%
       \setlength\labelsep{0.5em}\rightmargin\z@\itemindent\z@\leftmargin\labelsep%
       \setbox\z@\hbox{\makelabel}\labelwidth\wd\z@\advance\leftmargin by \labelwidth%
   }%
}
\let\endbulletlist=\endlist
%
% Utility Commands
%
\newcommand{\UAB}{Universitat Autònoma de Barcelona}
\renewcommand{\and}{ and }
%
\thispagestyle{plain}
\endinput
